OracleDataDrivenDBInputFormat (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.db
Class OracleDataDrivenDBInputFormat<T extends DBWritable>

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<LongWritable,T>
          org.apache.hadoop.mapreduce.lib.db.DBInputFormat<T>
              org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat<T>
                  org.apache.hadoop.mapreduce.lib.db.OracleDataDrivenDBInputFormat<T>

All Implemented Interfaces:
  Configurable

    public class OracleDataDrivenDBInputFormat<T extends DBWritable>

extends DataDrivenDBInputFormat<T>
implements Configurable

A InputFormat that reads input data from an SQL table in an Oracle db.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat
`DataDrivenDBInputFormat.DataDrivenDBInputSplit`

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.db.DBInputFormat
`DBInputFormat.DBInputSplit, DBInputFormat.NullDBWritable`

Field Summary

Fields inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat
`SUBSTITUTE_TOKEN`

Constructor Summary
`OracleDataDrivenDBInputFormat()`

Method Summary
`protected RecordReader<LongWritable,T>` | `createDBRecordReader(DBInputFormat.DBInputSplit split, Configuration conf)`
`protected DBSplitter` | `getSplitter(int sqlDataType)`

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBInputFormat
`getBoundingValsQuery, getSplits, setBoundingQuery, setInput, setInput`

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBInputFormat
`closeConnection, createRecordReader, getConf, getConnection, getCountQuery, getDBConf, getDBProductName, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### OracleDataDrivenDBInputFormat

    public OracleDataDrivenDBInputFormat()

Method Detail

### getSplitter

    protected DBSplitter getSplitter(int sqlDataType)

  Overrides:
    `getSplitter` in class `DataDrivenDBInputFormat<T extends DBWritable>`
  Returns:
    the DBSplitter implementation to use to divide the table/query into InputSplits.

### createDBRecordReader

    protected RecordReader<LongWritable,T> createDBRecordReader(DBInputFormat.DBInputSplit split,
                                                                Configuration conf)
                                                                            throws IOException

  Overrides:
    `createDBRecordReader` in class `DataDrivenDBInputFormat<T extends DBWritable>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation